Bug 1399152 - Fedora 25 comes with MP3-Support but does not support MP3
Summary: Fedora 25 comes with MP3-Support but does not support MP3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 12:36 UTC by Steve
Modified: 2017-01-19 05:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-19 05:56:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve 2016-11-28 12:36:28 UTC
Description of problem:
Gnome-software does not find the MP3 codex.

Version-Release number of selected component (if applicable):
gnome-software-3.22.2-1.fc25.x86_64
totem-3.22.0-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Try to play an MP3-file in Fedora 25 (i use totem)
2. Gnome-software opens and and is searching for the codec
3. Gnome-software does not find the codec

Actual results:
Gnome-software does not find the codec

Expected results:
Gnome-software should find the codec

Additional info:
The message from gnome-software is: 

Unable to Find Requested Software; Unfortunately, the MPEG-1 Layer 3 (MP3) decoder you were searching for could not be found. Please see this website for more information.

Totem says:
$ totem test.mp3 
** Message: Missing plugin: gstreamer|1.0|totem|MPEG-1 Layer 3 (MP3) decoder|decoder-audio/mpeg, mpegversion=(int)1, layer=(int)3 (MPEG-1 Layer 3 (MP3) decoder)
** Message: PackageKit: xid = 33554447
** Message: PackageKit: desktop_id = org.gnome.Totem.desktop
** Message: PackageKit: Codec nice name: MPEG-1 Layer 3 (MP3) decoder
** Message: PackageKit: field is: mpegversion, type: gint
** Message: PackageKit: field is: layer, type: gint
** Message: PackageKit: structure: gstreamer1(decoder-audio/mpeg)(mpegversion=1)(layer=3)()(64bit)
** Message: Missing plugins installed. Updating plugin registry ...
** Message: Plugin registry updated, trying again.

Comment 1 Paul W. Frields 2016-11-29 22:31:20 UTC
Possibly related to bug 1349378?

Comment 2 Steve 2016-11-30 05:32:18 UTC
(In reply to Paul W. Frields from comment #1)
> Possibly related to bug 1349378?

Yes, but the fix for that bug (crash) does not fix this bug (codec).

Comment 3 Steve 2016-12-02 04:29:52 UTC
This bug is not fixed in gnome-software-3.22.3-1.fc25.

(https://koji.fedoraproject.org/koji/buildinfo?buildID=821787)

Comment 4 Steve 2016-12-08 16:05:05 UTC
The workarounds for this bug are as follows.

(1) Install the plugin manually,

# dnf install gstreamer1-plugin-mpg123

or (2) use the repos from rpmfusion as usual, and gnome-software will find and install those plugins:

https://rpmfusion.org/Configuration/

Comment 6 Fedora Update System 2017-01-16 18:14:54 UTC
appstream-data-25-14.fc25 gstreamer1-plugin-mpg123-1.10.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8fb56949f3

Comment 7 Steve 2017-01-16 19:24:33 UTC
This bug is fixed in gnome-software-3.22.5-1.fc25. Closing...

Comment 8 Fedora Update System 2017-01-17 21:50:11 UTC
appstream-data-25-14.fc25, gstreamer1-plugin-mpg123-1.10.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8fb56949f3

Comment 9 Fedora Update System 2017-01-19 05:56:10 UTC
appstream-data-25-14.fc25, gstreamer1-plugin-mpg123-1.10.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.